View Issue Details

IDProjectCategoryView StatusLast Update
0006450MediaMonkey (current)Now Playingpublic2010-10-12 00:26
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.2 
Target Version4.0Fixed in Version4.0 
Summary0006450: Loading more than 10000 tracks to Now Playing can freeze UI for several seconds
DescriptionSelect an Auto-playlist including more than 10k tracks and then right-click -> 'Play Last'
=> UI freezes for several seconds, because this action doesn't seem to be performed in a thread

A side effect is that playback transition to the next track isn't fluently if the "Play Last" action is performed just at the moment.
Additional InformationTicket ID: TUB-193629
Video at: http://www.mediamonkey.com/forum/viewtopic.php?f=7&t=52298#p267979
TagsNo tags attached.
Fixed in build1314

Relationships

related to 0006193 newpetr MediaMonkey can appear to freeze in some cases 
related to 0006314 closedLudek Edit 15,000 tracks fails 

Activities

jiri

2010-09-28 20:28

administrator   ~0020606

I wouldn't like to introduce a thread for all such actions. I suppose that this isn't that complex one and a non-debug build should be able to handle 10000s tracks on a reasonably modern machine easily. Have you had a look whether we don't do anything unnecessarily at this moment?

Ludek

2010-09-29 21:58

developer   ~0020634

Last edited: 2010-09-29 22:03

View 3 revisions

You are right, I debugged it and in fact what is slowing things down is

procedure TFPlaylist.RefreshItems(itemStart, itemEnd: integer);

that is responsible for visual update, i.e. nothing that could be resolved by using a thread.

I optimized the procedure.
All is performed in a fraction of second now.

Fixed in build 1314.

peke

2010-10-12 00:26

developer   ~0020730

Verified 1315